- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDEntityInstanceFactory Class Reference

[INTERNAL] A factory for COLLADA Entity instances. More...

`#include <FCDEntityInstance.h>`

List of all members.

## Static Public Member Functions
static FCDEntityInstance * | CreateInstance (FCDocument *document, FCDSceneNode *parent, FCDEntity::Type type)
| Creates a new COLLADA instance, given a entity type.
static FCDEntityInstance * | CreateInstance (FCDocument *document, FCDSceneNode *parent, FCDEntity *entity)
| Creates a new COLLADA instance of a given entity.

## Detailed Description

[INTERNAL] A factory for COLLADA Entity instances.

Creates the correct instance object for a given entity type/XML tree node. To create new instances, use the FCDSceneNode::AddInstance function.

## Member Function Documentation

static FCDEntityInstance* FCDEntityInstanceFactory::CreateInstance | ( | FCDocument * | document,
|  | FCDSceneNode * | parent,
|  | FCDEntity * | entity
| ) | `[static]`

  | Creates a new COLLADA instance of a given entity. Parameters:
  | document | The COLLADA document that will own the new instance.
  | parent | The visual scene node that will contain the instance.
  | entity | The entity to create an instance of.
Returns: The new COLLADA instance. This pointer will be NULL if the given type is invalid.

static FCDEntityInstance* FCDEntityInstanceFactory::CreateInstance | ( | FCDocument * | document,
|  | FCDSceneNode * | parent,
|  | FCDEntity::Type | type
| ) | `[static]`

  | Creates a new COLLADA instance, given a entity type. Parameters:
  | document | The COLLADA document that will own the new instance.
  | parent | The visual scene node that will contain the instance.
  | type | The type of instance object to create.
Returns: The new COLLADA instance. This pointer will be NULL if the given type is invalid.

The documentation for this class was generated from the following file:

- FCDocument/FCDEntityInstance.h